Bug Hunting Session
Bug 84213 - CONTEXT MENU: Adding enable/disable ruler in context menu
Summary: CONTEXT MENU: Adding enable/disable ruler in context menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks: ImpressDraw-Toolbars Impress-UX
  Show dependency treegraph
 
Reported: 2014-09-23 05:20 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-13 12:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-23 05:20:54 UTC
As snap lines can only be created when the ruler is enabled, it would be nice to be able to enable/disable the ruler from the context menu, rather than going into the menu, similar to how grid has enable/disable grid in the context menu.
Comment 1 Yousuf Philips (jay) (retired) 2014-09-23 07:26:21 UTC
Was checking other presentation apps and Powerpoint and WPS Presentation include the ruler in the main context menu and i think that might be better.
Comment 3 Commit Notification 2014-12-22 10:18:24 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03487e2fe78aa76032eef42350eba55b419e6d3d

fdo#84213 changed 'Display Ruler' to 'View Ruler'

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2014-12-22 10:19:10 UTC
Changed 'Display Ruler' to 'View Ruler' so that it follows the same menu path (i.e. View > Ruler).